*==============================================================================
* Program:			GridMain
* Purpose:			Wrapper for a VFP builder/wizard
* Author:			Doug Hennig
* Last revision:	06/22/99
* Parameters:		tu1 - 12: parameters to be passed to the VFP builder/wizard
* Returns:			.T.
* Environment in:	the class library defined below is in the same directory as
*						this program
* Environment out:	the builder or wizard has been displayed
*==============================================================================

lparameters tu1, ;
	tu2, ;
	tu3, ;
	tu4, ;
	tu5, ;
	tu6, ;
	tu7, ;
	tu8, ;
	tu9, ;
	tu10, ;
	tu11, ;
	tu12
local lnSelect, ;
	lcClassLib, ;
	lcLibrary

* Define the class library and VFP builder/wizard.

#define ccCLASSLIB  'SFGridBldr'
#define ccBUILDER   (home() + 'WIZARDS\GRIDBLDR.APP')
#define ccMAIN      'GRIDMAIN'

* Auto-register the builder if it's called directly.

if program(0) == ccMAIN
	lnSelect = select()
	select 0
	use home() + 'wizards\builder' again
	locate for NAME = 'Stonefield Grid Builder'
	if not found()
		locate for NAME = 'Grid Builder'
		scatter memvar memo
		replace TYPE with 'XGRID'
		insert into BUILDER from memvar
		replace NAME with 'Stonefield Grid Builder', ;
			PROGRAM with sys(16), ;
			CLASSLIB with 'sfgridbldr.vcx', ;
			CLASSNAME with 'sfgridbuilder'
	endif not found()
	wait window 'SFGridBldr now registered as the Grid Builder'
	use
	select (lnSelect)
	return
endif program(0) == ccMAIN

* Get the current CLASSLIB setting, and add files we'll need at the start.

lcClassLib = ccCLASSLIB
lcLibrary  = set('CLASSLIB')
lcLibrary  = iif(empty(lcLibrary), '', ',' + lcLibrary)
set classlib to &lcLibrary &lcClassLib

* Run the "real" builder program.

do ccBUILDER with tu1, tu2, tu3, tu4, tu5, tu6, tu7, tu8, tu9, tu10, tu11, tu12

* Close the files we opened.

release classlib &lcClassLib
